version: '3.8'

services:
  web:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: netbackup_log_insights
    ports:
      - "8501:8501"
    volumes:
      # Map host local data folder to container /app/data to preserve database history
      - ./data:/app/data
    environment:
      - NBU_INSIGHTS_RUNNING=1
    restart: always
